<?php

/**
* Plugin Name:       TeamOF Elegant Authentication
* Plugin URI:        http://teamof.net/wordpress-elegant-authentication
* Description:       An Elegant Authentication Plugin for WordPress
* Version:           2.0.0
* Author:            TeamOF
* Author URI:        http://teamof.net/wordpress-elegant-authentication
*/

if (!defined('WPINC'))
	die;


function activate_of_elegant_auth_plugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-of-elegant-auth-plugin-activator.php';
	OF_Elegant_Auth_Activator::activate();
}


function deactivate_of_elegant_auth_plugin() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-of-elegant-auth-plugin-deactivator.php';
	OF_Elegant_Auth_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_of_elegant_auth_plugin' );
register_deactivation_hook( __FILE__, 'deactivate_of_elegant_auth_plugin' );

require plugin_dir_path( __FILE__ ) . 'includes/class-teamof-elegant-auth-plugin.php';

function my_plugin_action_links( $links ) {
	$links = array_merge( array(
		'<a href="' . esc_url( admin_url( '/plugins.php?page=temaof_elegant_auth_options' ) ) . '">' . __( 'Settings', 'textdomain' ) . '</a>'
	), $links );
	return $links;
}
add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'my_plugin_action_links' );


function run_of_elegant_auth_plugin() {

	$plugin = new OF_Elegant_Auth();
	$plugin->run();

}
run_of_elegant_auth_plugin();
